<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>ParametersModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="9681pt" height="211pt"
 viewBox="0.00 0.00 9681.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 9677,-207 9677,4 -4,4"/>
<text text-anchor="start" x="4815.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="4602.5,-10 4602.5,-30 4622.5,-30 4622.5,-10 4602.5,-10"/>
<text text-anchor="start" x="4626.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="4715.5,-10 4715.5,-30 4735.5,-30 4735.5,-10 4715.5,-10"/>
<text text-anchor="start" x="4739.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="4801.5,-10 4801.5,-30 4821.5,-30 4821.5,-10 4801.5,-10"/>
<text text-anchor="start" x="4825.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="4898.5,-10 4898.5,-30 4918.5,-30 4918.5,-10 4898.5,-10"/>
<text text-anchor="start" x="4922.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="4994.5,-10 4994.5,-30 5014.5,-30 5014.5,-10 4994.5,-10"/>
<text text-anchor="start" x="5018.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_ParametersModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 9665,-195 9665,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_ParametersModule_declarations</title>
<polygon fill="none" stroke="#000000" points="2626,-78 2626,-130 9657,-130 9657,-78 2626,-78"/>
</g>
<g id="clust35" class="cluster">
<title>cluster_ParametersModule_imports</title>
<polygon fill="none" stroke="#000000" points="1962,-78 1962,-130 2618,-130 2618,-78 1962,-78"/>
</g>
<g id="clust38" class="cluster">
<title>cluster_ParametersModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 1954,-130 1954,-78 16,-78"/>
</g>
<!-- BallotDocumentationCardComponent -->
<g id="node1" class="node">
<title>BallotDocumentationCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="9648.58,-122 9419.42,-122 9419.42,-86 9648.58,-86 9648.58,-122"/>
<text text-anchor="middle" x="9534" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BallotDocumentationCardComponent</text>
</g>
<!-- ParametersModule -->
<g id="node33" class="node">
<title>ParametersModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="4726.7381,-187 4723.7381,-191 4702.7381,-191 4699.7381,-187 4605.2619,-187 4605.2619,-151 4726.7381,-151 4726.7381,-187"/>
<text text-anchor="middle" x="4666" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">ParametersModule</text>
</g>
<!-- BallotDocumentationCardComponent&#45;&gt;ParametersModule -->
<g id="edge1" class="edge">
<title>BallotDocumentationCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M9534,-122.1985C9534,-146.3563 9534,-186 9534,-186 9534,-186 4737.1082,-186 4737.1082,-186"/>
<polygon fill="#000000" stroke="#000000" points="4737.1082,-182.5001 4727.1082,-186 4737.1081,-189.5001 4737.1082,-182.5001"/>
</g>
<!-- BallotDocumentationEditComponent -->
<g id="node2" class="node">
<title>BallotDocumentationEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="9401.7021,-122 9176.2979,-122 9176.2979,-86 9401.7021,-86 9401.7021,-122"/>
<text text-anchor="middle" x="9289" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BallotDocumentationEditComponent</text>
</g>
<!-- BallotDocumentationEditComponent&#45;&gt;ParametersModule -->
<g id="edge2" class="edge">
<title>BallotDocumentationEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M9289,-122.1532C9289,-145.7566 9289,-184 9289,-184 9289,-184 4736.9966,-184 4736.9966,-184"/>
<polygon fill="#000000" stroke="#000000" points="4736.9966,-180.5001 4726.9966,-184 4736.9966,-187.5001 4736.9966,-180.5001"/>
</g>
<!-- BaseCardComponent -->
<g id="node3" class="node">
<title>BaseCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="9158.7548,-122 9023.2452,-122 9023.2452,-86 9158.7548,-86 9158.7548,-122"/>
<text text-anchor="middle" x="9091" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BaseCardComponent</text>
</g>
<!-- BaseCardComponent&#45;&gt;ParametersModule -->
<g id="edge3" class="edge">
<title>BaseCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M9091,-122.3228C9091,-145.6602 9091,-183 9091,-183 9091,-183 4736.8692,-183 4736.8692,-183"/>
<polygon fill="#000000" stroke="#000000" points="4736.8693,-179.5001 4726.8692,-183 4736.8692,-186.5001 4736.8693,-179.5001"/>
</g>
<!-- BaseEditComponent -->
<g id="node4" class="node">
<title>BaseEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="9004.8767,-122 8873.1233,-122 8873.1233,-86 9004.8767,-86 9004.8767,-122"/>
<text text-anchor="middle" x="8939" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BaseEditComponent</text>
</g>
<!-- BaseEditComponent&#45;&gt;ParametersModule -->
<g id="edge4" class="edge">
<title>BaseEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M8939,-122.2479C8939,-145.0179 8939,-181 8939,-181 8939,-181 4736.8143,-181 4736.8143,-181"/>
<polygon fill="#000000" stroke="#000000" points="4736.8143,-177.5001 4726.8143,-181 4736.8143,-184.5001 4736.8143,-177.5001"/>
</g>
<!-- DocumentCardComponent -->
<g id="node5" class="node">
<title>DocumentCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8855.3613,-122 8688.6387,-122 8688.6387,-86 8855.3613,-86 8855.3613,-122"/>
<text text-anchor="middle" x="8772" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DocumentCardComponent</text>
</g>
<!-- DocumentCardComponent&#45;&gt;ParametersModule -->
<g id="edge5" class="edge">
<title>DocumentCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M8772,-122.1554C8772,-144.3519 8772,-179 8772,-179 8772,-179 4736.8268,-179 4736.8268,-179"/>
<polygon fill="#000000" stroke="#000000" points="4736.8268,-175.5001 4726.8268,-179 4736.8267,-182.5001 4736.8268,-175.5001"/>
</g>
<!-- DocumentEditComponent -->
<g id="node6" class="node">
<title>DocumentEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8670.4832,-122 8507.5168,-122 8507.5168,-86 8670.4832,-86 8670.4832,-122"/>
<text text-anchor="middle" x="8589" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DocumentEditComponent</text>
</g>
<!-- DocumentEditComponent&#45;&gt;ParametersModule -->
<g id="edge6" class="edge">
<title>DocumentEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M8589,-122.2921C8589,-144.2057 8589,-178 8589,-178 8589,-178 4736.8337,-178 4736.8337,-178"/>
<polygon fill="#000000" stroke="#000000" points="4736.8337,-174.5001 4726.8337,-178 4736.8336,-181.5001 4736.8337,-174.5001"/>
</g>
<!-- DomainInfluenceCardComponent -->
<g id="node7" class="node">
<title>DomainInfluenceCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8489.0028,-122 8282.9972,-122 8282.9972,-86 8489.0028,-86 8489.0028,-122"/>
<text text-anchor="middle" x="8386" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DomainInfluenceCardComponent</text>
</g>
<!-- DomainInfluenceCardComponent&#45;&gt;ParametersModule -->
<g id="edge7" class="edge">
<title>DomainInfluenceCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M8386,-122.1686C8386,-143.498 8386,-176 8386,-176 8386,-176 4737.081,-176 4737.081,-176"/>
<polygon fill="#000000" stroke="#000000" points="4737.081,-172.5001 4727.081,-176 4737.0809,-179.5001 4737.081,-172.5001"/>
</g>
<!-- DomainInfluenceEditComponent -->
<g id="node8" class="node">
<title>DomainInfluenceEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8264.1245,-122 8061.8755,-122 8061.8755,-86 8264.1245,-86 8264.1245,-122"/>
<text text-anchor="middle" x="8163" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DomainInfluenceEditComponent</text>
</g>
<!-- DomainInfluenceEditComponent&#45;&gt;ParametersModule -->
<g id="edge8" class="edge">
<title>DomainInfluenceEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M8163,-122.0267C8163,-142.7672 8163,-174 8163,-174 8163,-174 4737.0664,-174 4737.0664,-174"/>
<polygon fill="#000000" stroke="#000000" points="4737.0665,-170.5001 4727.0664,-174 4737.0664,-177.5001 4737.0665,-170.5001"/>
</g>
<!-- DomainInfluenceGridComponent -->
<g id="node9" class="node">
<title>DomainInfluenceGridComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="8043.4482,-122 7838.5518,-122 7838.5518,-86 8043.4482,-86 8043.4482,-122"/>
<text text-anchor="middle" x="7941" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DomainInfluenceGridComponent</text>
</g>
<!-- DomainInfluenceGridComponent&#45;&gt;ParametersModule -->
<g id="edge9" class="edge">
<title>DomainInfluenceGridComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M7941,-122.1289C7941,-142.5724 7941,-173 7941,-173 7941,-173 4737.0609,-173 4737.0609,-173"/>
<polygon fill="#000000" stroke="#000000" points="4737.0609,-169.5001 4727.0609,-173 4737.0609,-176.5001 4737.0609,-169.5001"/>
</g>
<!-- ElectionDetailsComponent -->
<g id="node10" class="node">
<title>ElectionDetailsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7820.6386,-122 7653.3614,-122 7653.3614,-86 7820.6386,-86 7820.6386,-122"/>
<text text-anchor="middle" x="7737" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionDetailsComponent</text>
</g>
<!-- ElectionDetailsComponent&#45;&gt;ParametersModule -->
<g id="edge10" class="edge">
<title>ElectionDetailsComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M7737,-122.308C7737,-142.1455 7737,-171 7737,-171 7737,-171 4736.9988,-171 4736.9988,-171"/>
<polygon fill="#000000" stroke="#000000" points="4736.9988,-167.5001 4726.9988,-171 4736.9987,-174.5001 4736.9988,-167.5001"/>
</g>
<!-- ElectionDetailsElectoralListComponent -->
<g id="node11" class="node">
<title>ElectionDetailsElectoralListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7634.9454,-122 7395.0546,-122 7395.0546,-86 7634.9454,-86 7634.9454,-122"/>
<text text-anchor="middle" x="7515" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionDetailsElectoralListComponent</text>
</g>
<!-- ElectionDetailsElectoralListComponent&#45;&gt;ParametersModule -->
<g id="edge11" class="edge">
<title>ElectionDetailsElectoralListComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M7515,-122.1061C7515,-141.3391 7515,-169 7515,-169 7515,-169 4736.8235,-169 4736.8235,-169"/>
<polygon fill="#000000" stroke="#000000" points="4736.8235,-165.5001 4726.8235,-169 4736.8234,-172.5001 4736.8235,-165.5001"/>
</g>
<!-- ElectionDetailsTableComponent -->
<g id="node12" class="node">
<title>ElectionDetailsTableComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7376.5112,-122 7177.4888,-122 7177.4888,-86 7376.5112,-86 7376.5112,-122"/>
<text text-anchor="middle" x="7277" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionDetailsTableComponent</text>
</g>
<!-- ElectionDetailsTableComponent&#45;&gt;ParametersModule -->
<g id="edge12" class="edge">
<title>ElectionDetailsTableComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M7277,-122.1686C7277,-141.0898 7277,-168 7277,-168 7277,-168 4737.0135,-168 4737.0135,-168"/>
<polygon fill="#000000" stroke="#000000" points="4737.0135,-164.5001 4727.0135,-168 4737.0134,-171.5001 4737.0135,-164.5001"/>
</g>
<!-- ElectionPagePropertiesCardComponent -->
<g id="node13" class="node">
<title>ElectionPagePropertiesCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="7159.6685,-122 6920.3315,-122 6920.3315,-86 7159.6685,-86 7159.6685,-122"/>
<text text-anchor="middle" x="7040" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesCardComponent</text>
</g>
<!-- ElectionPagePropertiesCardComponent&#45;&gt;ParametersModule -->
<g id="edge13" class="edge">
<title>ElectionPagePropertiesCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M7040,-122.2667C7040,-140.5552 7040,-166 7040,-166 7040,-166 4736.7685,-166 4736.7685,-166"/>
<polygon fill="#000000" stroke="#000000" points="4736.7686,-162.5001 4726.7685,-166 4736.7685,-169.5001 4736.7686,-162.5001"/>
</g>
<!-- ElectionPagePropertiesEditComponent -->
<g id="node14" class="node">
<title>ElectionPagePropertiesEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6902.7906,-122 6667.2094,-122 6667.2094,-86 6902.7906,-86 6902.7906,-122"/>
<text text-anchor="middle" x="6785" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesEditComponent</text>
</g>
<!-- ElectionPagePropertiesEditComponent&#45;&gt;ParametersModule -->
<g id="edge14" class="edge">
<title>ElectionPagePropertiesEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M6785,-122.302C6785,-140.2699 6785,-165 6785,-165 6785,-165 4736.8494,-165 4736.8494,-165"/>
<polygon fill="#000000" stroke="#000000" points="4736.8494,-161.5001 4726.8494,-165 4736.8493,-168.5001 4736.8494,-161.5001"/>
</g>
<!-- ElectionPagePropertiesMappingComponent -->
<g id="node15" class="node">
<title>ElectionPagePropertiesMappingComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6649.0069,-122 6386.9931,-122 6386.9931,-86 6649.0069,-86 6649.0069,-122"/>
<text text-anchor="middle" x="6518" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesMappingComponent</text>
</g>
<!-- ElectionPagePropertiesMappingComponent&#45;&gt;ParametersModule -->
<g id="edge15" class="edge">
<title>ElectionPagePropertiesMappingComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M6518,-122.0225C6518,-139.3734 6518,-163 6518,-163 6518,-163 4736.8289,-163 4736.8289,-163"/>
<polygon fill="#000000" stroke="#000000" points="4736.8289,-159.5001 4726.8289,-163 4736.8288,-166.5001 4736.8289,-159.5001"/>
</g>
<!-- ElectionPagePropertiesModelEditComponent -->
<g id="node16" class="node">
<title>ElectionPagePropertiesModelEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6368.8402,-122 6097.1598,-122 6097.1598,-86 6368.8402,-86 6368.8402,-122"/>
<text text-anchor="middle" x="6233" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesModelEditComponent</text>
</g>
<!-- ElectionPagePropertiesModelEditComponent&#45;&gt;ParametersModule -->
<g id="edge16" class="edge">
<title>ElectionPagePropertiesModelEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M6233,-122.0352C6233,-138.7344 6233,-161 6233,-161 6233,-161 4736.9473,-161 4736.9473,-161"/>
<polygon fill="#000000" stroke="#000000" points="4736.9474,-157.5001 4726.9473,-161 4736.9473,-164.5001 4736.9474,-157.5001"/>
</g>
<!-- ElectionPagePropertiesModelListComponent -->
<g id="node17" class="node">
<title>ElectionPagePropertiesModelListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="6079.285,-122 5808.715,-122 5808.715,-86 6079.285,-86 6079.285,-122"/>
<text text-anchor="middle" x="5944" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesModelListComponent</text>
</g>
<!-- ElectionPagePropertiesModelListComponent&#45;&gt;ParametersModule -->
<g id="edge17" class="edge">
<title>ElectionPagePropertiesModelListComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M5944,-122.027C5944,-138.3976 5944,-160 5944,-160 5944,-160 4736.7808,-160 4736.7808,-160"/>
<polygon fill="#000000" stroke="#000000" points="4736.7809,-156.5001 4726.7808,-160 4736.7808,-163.5001 4736.7809,-156.5001"/>
</g>
<!-- HighlightedQuestionEditComponent -->
<g id="node18" class="node">
<title>HighlightedQuestionEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5791.0968,-122 5568.9032,-122 5568.9032,-86 5791.0968,-86 5791.0968,-122"/>
<text text-anchor="middle" x="5680" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HighlightedQuestionEditComponent</text>
</g>
<!-- HighlightedQuestionEditComponent&#45;&gt;ParametersModule -->
<g id="edge18" class="edge">
<title>HighlightedQuestionEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M5680,-122.2819C5680,-137.9478 5680,-158 5680,-158 5680,-158 4736.7697,-158 4736.7697,-158"/>
<polygon fill="#000000" stroke="#000000" points="4736.7697,-154.5001 4726.7697,-158 4736.7696,-161.5001 4736.7697,-154.5001"/>
</g>
<!-- HighlightedQuestionListComponent -->
<g id="node19" class="node">
<title>HighlightedQuestionListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5551.0419,-122 5330.9581,-122 5330.9581,-86 5551.0419,-86 5551.0419,-122"/>
<text text-anchor="middle" x="5441" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HighlightedQuestionListComponent</text>
</g>
<!-- HighlightedQuestionListComponent&#45;&gt;ParametersModule -->
<g id="edge19" class="edge">
<title>HighlightedQuestionListComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M5441,-122.1871C5441,-137.1824 5441,-156 5441,-156 5441,-156 4736.813,-156 4736.813,-156"/>
<polygon fill="#000000" stroke="#000000" points="4736.813,-152.5001 4726.813,-156 4736.8129,-159.5001 4736.813,-152.5001"/>
</g>
<!-- LocalizedHighlightedQuestionListComponent -->
<g id="node20" class="node">
<title>LocalizedHighlightedQuestionListComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5312.7337,-122 5037.2663,-122 5037.2663,-86 5312.7337,-86 5312.7337,-122"/>
<text text-anchor="middle" x="5175" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">LocalizedHighlightedQuestionListComponent</text>
</g>
<!-- LocalizedHighlightedQuestionListComponent&#45;&gt;ParametersModule -->
<g id="edge20" class="edge">
<title>LocalizedHighlightedQuestionListComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M5175,-122.1243C5175,-136.7832 5175,-155 5175,-155 5175,-155 4736.8917,-155 4736.8917,-155"/>
<polygon fill="#000000" stroke="#000000" points="4736.8918,-151.5001 4726.8917,-155 4736.8917,-158.5001 4736.8918,-151.5001"/>
</g>
<!-- MilestoneCardComponent -->
<g id="node21" class="node">
<title>MilestoneCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="5019.0351,-122 4854.9649,-122 4854.9649,-86 5019.0351,-86 5019.0351,-122"/>
<text text-anchor="middle" x="4937" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">MilestoneCardComponent</text>
</g>
<!-- MilestoneCardComponent&#45;&gt;ParametersModule -->
<g id="edge21" class="edge">
<title>MilestoneCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4937,-122.2458C4937,-136.1772 4937,-153 4937,-153 4937,-153 4736.8177,-153 4736.8177,-153"/>
<polygon fill="#000000" stroke="#000000" points="4736.8177,-149.5001 4726.8177,-153 4736.8177,-156.5001 4736.8177,-149.5001"/>
</g>
<!-- MilestoneEditComponent -->
<g id="node22" class="node">
<title>MilestoneEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4836.1568,-122 4675.8432,-122 4675.8432,-86 4836.1568,-86 4836.1568,-122"/>
<text text-anchor="middle" x="4756" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">MilestoneEditComponent</text>
</g>
<!-- MilestoneEditComponent&#45;&gt;ParametersModule -->
<g id="edge22" class="edge">
<title>MilestoneEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4701.2704,-122.1061C4701.2704,-122.1061 4701.2704,-140.991 4701.2704,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="4697.7704,-140.9909 4701.2704,-150.991 4704.7704,-140.991 4697.7704,-140.9909"/>
</g>
<!-- ModelSelectorComponent -->
<g id="node23" class="node">
<title>ModelSelectorComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4657.7506,-122 4494.2494,-122 4494.2494,-86 4657.7506,-86 4657.7506,-122"/>
<text text-anchor="middle" x="4576" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ModelSelectorComponent</text>
</g>
<!-- ModelSelectorComponent&#45;&gt;ParametersModule -->
<g id="edge23" class="edge">
<title>ModelSelectorComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4631.5032,-122.1061C4631.5032,-122.1061 4631.5032,-140.991 4631.5032,-140.991"/>
<polygon fill="#000000" stroke="#000000" points="4628.0032,-140.9909 4631.5032,-150.991 4635.0032,-140.991 4628.0032,-140.9909"/>
</g>
<!-- ParametersComponent -->
<g id="node24" class="node">
<title>ParametersComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4475.5212,-122 4332.4788,-122 4332.4788,-86 4475.5212,-86 4475.5212,-122"/>
<text text-anchor="middle" x="4404" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ParametersComponent</text>
</g>
<!-- ParametersComponent&#45;&gt;ParametersModule -->
<g id="edge24" class="edge">
<title>ParametersComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4404,-122.2458C4404,-136.1772 4404,-153 4404,-153 4404,-153 4595.2334,-153 4595.2334,-153"/>
<polygon fill="#000000" stroke="#000000" points="4595.2334,-156.5001 4605.2334,-153 4595.2334,-149.5001 4595.2334,-156.5001"/>
</g>
<!-- ParametersEditComponent -->
<g id="node25" class="node">
<title>ParametersEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4314.3543,-122 4147.6457,-122 4147.6457,-86 4314.3543,-86 4314.3543,-122"/>
<text text-anchor="middle" x="4231" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ParametersEditComponent</text>
</g>
<!-- ParametersEditComponent&#45;&gt;ParametersModule -->
<g id="edge25" class="edge">
<title>ParametersEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4231,-122.1243C4231,-136.7832 4231,-155 4231,-155 4231,-155 4595.0571,-155 4595.0571,-155"/>
<polygon fill="#000000" stroke="#000000" points="4595.0571,-158.5001 4605.0571,-155 4595.057,-151.5001 4595.0571,-158.5001"/>
</g>
<!-- ParametersNotificationComponent -->
<g id="node26" class="node">
<title>ParametersNotificationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="4129.6699,-122 3918.3301,-122 3918.3301,-86 4129.6699,-86 4129.6699,-122"/>
<text text-anchor="middle" x="4024" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ParametersNotificationComponent</text>
</g>
<!-- ParametersNotificationComponent&#45;&gt;ParametersModule -->
<g id="edge26" class="edge">
<title>ParametersNotificationComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M4024,-122.1871C4024,-137.1824 4024,-156 4024,-156 4024,-156 4595.0234,-156 4595.0234,-156"/>
<polygon fill="#000000" stroke="#000000" points="4595.0234,-159.5001 4605.0234,-156 4595.0234,-152.5001 4595.0234,-159.5001"/>
</g>
<!-- RepositoryCardComponent -->
<g id="node27" class="node">
<title>RepositoryCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3899.9818,-122 3730.0182,-122 3730.0182,-86 3899.9818,-86 3899.9818,-122"/>
<text text-anchor="middle" x="3815" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RepositoryCardComponent</text>
</g>
<!-- RepositoryCardComponent&#45;&gt;ParametersModule -->
<g id="edge27" class="edge">
<title>RepositoryCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M3815,-122.2819C3815,-137.9478 3815,-158 3815,-158 3815,-158 4595.1397,-158 4595.1397,-158"/>
<polygon fill="#000000" stroke="#000000" points="4595.1397,-161.5001 4605.1397,-158 4595.1397,-154.5001 4595.1397,-161.5001"/>
</g>
<!-- RepositoryEditComponent -->
<g id="node28" class="node">
<title>RepositoryEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3712.1038,-122 3545.8962,-122 3545.8962,-86 3712.1038,-86 3712.1038,-122"/>
<text text-anchor="middle" x="3629" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RepositoryEditComponent</text>
</g>
<!-- RepositoryEditComponent&#45;&gt;ParametersModule -->
<g id="edge28" class="edge">
<title>RepositoryEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M3629,-122.027C3629,-138.3976 3629,-160 3629,-160 3629,-160 4595.0024,-160 4595.0024,-160"/>
<polygon fill="#000000" stroke="#000000" points="4595.0025,-163.5001 4605.0024,-160 4595.0024,-156.5001 4595.0025,-163.5001"/>
</g>
<!-- VerificationCodeEditComponent -->
<g id="node29" class="node">
<title>VerificationCodeEditComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3527.8515,-122 3326.1485,-122 3326.1485,-86 3527.8515,-86 3527.8515,-122"/>
<text text-anchor="middle" x="3427" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VerificationCodeEditComponent</text>
</g>
<!-- VerificationCodeEditComponent&#45;&gt;ParametersModule -->
<g id="edge29" class="edge">
<title>VerificationCodeEditComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M3427,-122.0352C3427,-138.7344 3427,-161 3427,-161 3427,-161 4594.9804,-161 4594.9804,-161"/>
<polygon fill="#000000" stroke="#000000" points="4594.9804,-164.5001 4604.9804,-161 4594.9804,-157.5001 4594.9804,-164.5001"/>
</g>
<!-- VotationDetailsComponent -->
<g id="node30" class="node">
<title>VotationDetailsComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3307.9776,-122 3138.0224,-122 3138.0224,-86 3307.9776,-86 3307.9776,-122"/>
<text text-anchor="middle" x="3223" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotationDetailsComponent</text>
</g>
<!-- VotationDetailsComponent&#45;&gt;ParametersModule -->
<g id="edge30" class="edge">
<title>VotationDetailsComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M3223,-122.0225C3223,-139.3734 3223,-163 3223,-163 3223,-163 4594.9178,-163 4594.9178,-163"/>
<polygon fill="#000000" stroke="#000000" points="4594.9178,-166.5001 4604.9178,-163 4594.9177,-159.5001 4594.9178,-166.5001"/>
</g>
<!-- VotingSiteConfigurationCardComponent -->
<g id="node31" class="node">
<title>VotingSiteConfigurationCardComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="3119.7547,-122 2872.2453,-122 2872.2453,-86 3119.7547,-86 3119.7547,-122"/>
<text text-anchor="middle" x="2996" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSiteConfigurationCardComponent</text>
</g>
<!-- VotingSiteConfigurationCardComponent&#45;&gt;ParametersModule -->
<g id="edge31" class="edge">
<title>VotingSiteConfigurationCardComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2996,-122.302C2996,-140.2699 2996,-165 2996,-165 2996,-165 4595.0812,-165 4595.0812,-165"/>
<polygon fill="#000000" stroke="#000000" points="4595.0812,-168.5001 4605.0812,-165 4595.0811,-161.5001 4595.0812,-168.5001"/>
</g>
<!-- VotingSiteConfigurationComponent -->
<g id="node32" class="node">
<title>VotingSiteConfigurationComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2854.0433,-122 2633.9567,-122 2633.9567,-86 2854.0433,-86 2854.0433,-122"/>
<text text-anchor="middle" x="2744" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSiteConfigurationComponent</text>
</g>
<!-- VotingSiteConfigurationComponent&#45;&gt;ParametersModule -->
<g id="edge32" class="edge">
<title>VotingSiteConfigurationComponent&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2744,-122.2667C2744,-140.5552 2744,-166 2744,-166 2744,-166 4595.0359,-166 4595.0359,-166"/>
<polygon fill="#000000" stroke="#000000" points="4595.0359,-169.5001 4605.0359,-166 4595.0358,-162.5001 4595.0359,-169.5001"/>
</g>
<!-- ManagementEntityModule -->
<g id="node34" class="node">
<title>ManagementEntityModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2610.3585,-122 2607.3585,-126 2586.3585,-126 2583.3585,-122 2443.6415,-122 2443.6415,-86 2610.3585,-86 2610.3585,-122"/>
<text text-anchor="middle" x="2527" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ManagementEntityModule</text>
</g>
<!-- ManagementEntityModule&#45;&gt;ParametersModule -->
<g id="edge33" class="edge">
<title>ManagementEntityModule&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2527,-122.1686C2527,-141.0898 2527,-168 2527,-168 2527,-168 4595.1457,-168 4595.1457,-168"/>
<polygon fill="#000000" stroke="#000000" points="4595.1457,-171.5001 4605.1457,-168 4595.1456,-164.5001 4595.1457,-171.5001"/>
</g>
<!-- ParametersRoutingModule -->
<g id="node35" class="node">
<title>ParametersRoutingModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2425.3557,-122 2422.3557,-126 2401.3557,-126 2398.3557,-122 2258.6443,-122 2258.6443,-86 2425.3557,-86 2425.3557,-122"/>
<text text-anchor="middle" x="2342" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ParametersRoutingModule</text>
</g>
<!-- ParametersRoutingModule&#45;&gt;ParametersModule -->
<g id="edge34" class="edge">
<title>ParametersRoutingModule&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2342,-122.1061C2342,-141.3391 2342,-169 2342,-169 2342,-169 4595.0332,-169 4595.0332,-169"/>
<polygon fill="#000000" stroke="#000000" points="4595.0332,-172.5001 4605.0332,-169 4595.0332,-165.5001 4595.0332,-172.5001"/>
</g>
<!-- SharedModule -->
<g id="node36" class="node">
<title>SharedModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2240.4231,-122 2237.4231,-126 2216.4231,-126 2213.4231,-122 2141.5769,-122 2141.5769,-86 2240.4231,-86 2240.4231,-122"/>
<text text-anchor="middle" x="2191" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">SharedModule</text>
</g>
<!-- SharedModule&#45;&gt;ParametersModule -->
<g id="edge35" class="edge">
<title>SharedModule&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2191,-122.308C2191,-142.1455 2191,-171 2191,-171 2191,-171 4595.1276,-171 4595.1276,-171"/>
<polygon fill="#000000" stroke="#000000" points="4595.1276,-174.5001 4605.1276,-171 4595.1275,-167.5001 4595.1276,-174.5001"/>
</g>
<!-- TestingCardsLotModule -->
<g id="node37" class="node">
<title>TestingCardsLotModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="2123.6428,-122 2120.6428,-126 2099.6428,-126 2096.6428,-122 1970.3572,-122 1970.3572,-86 2123.6428,-86 2123.6428,-122"/>
<text text-anchor="middle" x="2047" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TestingCardsLotModule</text>
</g>
<!-- TestingCardsLotModule&#45;&gt;ParametersModule -->
<g id="edge36" class="edge">
<title>TestingCardsLotModule&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M2047,-122.1289C2047,-142.5724 2047,-173 2047,-173 2047,-173 4595.1167,-173 4595.1167,-173"/>
<polygon fill="#000000" stroke="#000000" points="4595.1168,-176.5001 4605.1167,-173 4595.1167,-169.5001 4595.1168,-176.5001"/>
</g>
<!-- BallotDocumentationService -->
<g id="node38" class="node">
<title>BallotDocumentationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1823" cy="-104" rx="123.2707" ry="18"/>
<text text-anchor="middle" x="1823" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BallotDocumentationService</text>
</g>
<!-- BallotDocumentationService&#45;&gt;ParametersModule -->
<g id="edge37" class="edge">
<title>BallotDocumentationService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M1823,-122.0267C1823,-142.7672 1823,-174 1823,-174 1823,-174 4594.9737,-174 4594.9737,-174"/>
<polygon fill="#000000" stroke="#000000" points="4594.9738,-177.5001 4604.9737,-174 4594.9737,-170.5001 4594.9738,-177.5001"/>
</g>
<!-- DocumentService -->
<g id="node39" class="node">
<title>DocumentService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1602" cy="-104" rx="80.4364" ry="18"/>
<text text-anchor="middle" x="1602" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DocumentService</text>
</g>
<!-- DocumentService&#45;&gt;ParametersModule -->
<g id="edge38" class="edge">
<title>DocumentService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M1602,-122.1686C1602,-143.498 1602,-176 1602,-176 1602,-176 4595.1403,-176 4595.1403,-176"/>
<polygon fill="#000000" stroke="#000000" points="4595.1403,-179.5001 4605.1403,-176 4595.1402,-172.5001 4595.1403,-179.5001"/>
</g>
<!-- DomainInfluenceService -->
<g id="node40" class="node">
<title>DomainInfluenceService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1396" cy="-104" rx="107.6231" ry="18"/>
<text text-anchor="middle" x="1396" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DomainInfluenceService</text>
</g>
<!-- DomainInfluenceService&#45;&gt;ParametersModule -->
<g id="edge39" class="edge">
<title>DomainInfluenceService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M1396,-122.2921C1396,-144.2057 1396,-178 1396,-178 1396,-178 4595.0323,-178 4595.0323,-178"/>
<polygon fill="#000000" stroke="#000000" points="4595.0324,-181.5001 4605.0323,-178 4595.0323,-174.5001 4595.0324,-181.5001"/>
</g>
<!-- ElectionPagePropertiesService -->
<g id="node41" class="node">
<title>ElectionPagePropertiesService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1140" cy="-104" rx="130.1882" ry="18"/>
<text text-anchor="middle" x="1140" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ElectionPagePropertiesService</text>
</g>
<!-- ElectionPagePropertiesService&#45;&gt;ParametersModule -->
<g id="edge40" class="edge">
<title>ElectionPagePropertiesService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M1140,-122.1554C1140,-144.3519 1140,-179 1140,-179 1140,-179 4595.1711,-179 4595.1711,-179"/>
<polygon fill="#000000" stroke="#000000" points="4595.1712,-182.5001 4605.1711,-179 4595.1711,-175.5001 4595.1712,-182.5001"/>
</g>
<!-- HighlightedQuestionService -->
<g id="node42" class="node">
<title>HighlightedQuestionService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="871" cy="-104" rx="120.9868" ry="18"/>
<text text-anchor="middle" x="871" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HighlightedQuestionService</text>
</g>
<!-- HighlightedQuestionService&#45;&gt;ParametersModule -->
<g id="edge41" class="edge">
<title>HighlightedQuestionService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M871,-122.2479C871,-145.0179 871,-181 871,-181 871,-181 4595.2385,-181 4595.2385,-181"/>
<polygon fill="#000000" stroke="#000000" points="4595.2386,-184.5001 4605.2385,-181 4595.2385,-177.5001 4595.2386,-184.5001"/>
</g>
<!-- OperationParametersModel -->
<g id="node43" class="node">
<title>OperationParametersModel</title>
<ellipse fill="#fdb462" stroke="#000000" cx="614" cy="-104" rx="117.5132" ry="18"/>
<text text-anchor="middle" x="614" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationParametersModel</text>
</g>
<!-- OperationParametersModel&#45;&gt;ParametersModule -->
<g id="edge42" class="edge">
<title>OperationParametersModel&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M614,-122.3228C614,-145.6602 614,-183 614,-183 614,-183 4595.1773,-183 4595.1773,-183"/>
<polygon fill="#000000" stroke="#000000" points="4595.1774,-186.5001 4605.1773,-183 4595.1773,-179.5001 4595.1774,-186.5001"/>
</g>
<!-- RepositoryService -->
<g id="node44" class="node">
<title>RepositoryService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="396" cy="-104" rx="82.2411" ry="18"/>
<text text-anchor="middle" x="396" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RepositoryService</text>
</g>
<!-- RepositoryService&#45;&gt;ParametersModule -->
<g id="edge43" class="edge">
<title>RepositoryService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M396,-122.1532C396,-145.7566 396,-184 396,-184 396,-184 4595.2284,-184 4595.2284,-184"/>
<polygon fill="#000000" stroke="#000000" points="4595.2284,-187.5001 4605.2284,-184 4595.2284,-180.5001 4595.2284,-187.5001"/>
</g>
<!-- VotingSiteConfigurationService -->
<g id="node45" class="node">
<title>VotingSiteConfigurationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="160" cy="-104" rx="136.0334" ry="18"/>
<text text-anchor="middle" x="160" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">VotingSiteConfigurationService</text>
</g>
<!-- VotingSiteConfigurationService&#45;&gt;ParametersModule -->
<g id="edge44" class="edge">
<title>VotingSiteConfigurationService&#45;&gt;ParametersModule</title>
<path fill="none" stroke="#000000" d="M160,-122.1985C160,-146.3563 160,-186 160,-186 160,-186 4594.8656,-186 4594.8656,-186"/>
<polygon fill="#000000" stroke="#000000" points="4594.8657,-189.5001 4604.8656,-186 4594.8656,-182.5001 4594.8657,-189.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/operation/parameters/parameters.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/BallotDocumentationCardComponent.html">BallotDocumentationCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/BallotDocumentationEditComponent.html">BallotDocumentationEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/BaseCardComponent.html">BaseCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/BaseEditComponent.html">BaseEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DocumentCardComponent.html">DocumentCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DocumentEditComponent.html">DocumentEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DomainInfluenceCardComponent.html">DomainInfluenceCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DomainInfluenceEditComponent.html">DomainInfluenceEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/DomainInfluenceGridComponent.html">DomainInfluenceGridComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionDetailsComponent.html">ElectionDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionDetailsElectoralListComponent.html">ElectionDetailsElectoralListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionDetailsTableComponent.html">ElectionDetailsTableComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionPagePropertiesCardComponent.html">ElectionPagePropertiesCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionPagePropertiesEditComponent.html">ElectionPagePropertiesEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionPagePropertiesMappingComponent.html">ElectionPagePropertiesMappingComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionPagePropertiesModelEditComponent.html">ElectionPagePropertiesModelEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ElectionPagePropertiesModelListComponent.html">ElectionPagePropertiesModelListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HighlightedQuestionEditComponent.html">HighlightedQuestionEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/HighlightedQuestionListComponent.html">HighlightedQuestionListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/LocalizedHighlightedQuestionListComponent.html">LocalizedHighlightedQuestionListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MilestoneCardComponent.html">MilestoneCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/MilestoneEditComponent.html">MilestoneEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ModelSelectorComponent.html">ModelSelectorComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ParametersComponent.html">ParametersComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ParametersEditComponent.html">ParametersEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ParametersNotificationComponent.html">ParametersNotificationComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RepositoryCardComponent.html">RepositoryCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/RepositoryEditComponent.html">RepositoryEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VerificationCodeEditComponent.html">VerificationCodeEditComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotationDetailsComponent.html">VotationDetailsComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingSiteConfigurationCardComponent.html">VotingSiteConfigurationCardComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/VotingSiteConfigurationComponent.html">VotingSiteConfigurationComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>EntryComponents<a href="https://angular.io/api/core/NgModule#entryComponents" target="_blank"
                            title="Official documentation about module entryComponents"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/ElectionDetailsElectoralListComponent.html">ElectionDetailsElectoralListComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/ModelSelectorComponent.html">ModelSelectorComponent</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../injectables/BallotDocumentationService.html">BallotDocumentationService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/DocumentService.html">DocumentService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/DomainInfluenceService.html">DomainInfluenceService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/ElectionPagePropertiesService.html">ElectionPagePropertiesService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/HighlightedQuestionService.html">HighlightedQuestionService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/OperationParametersModel.html">OperationParametersModel</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/RepositoryService.html">RepositoryService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/VotingSiteConfigurationService.html">VotingSiteConfigurationService</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Imports<a href="https://angular.io/api/core/NgModule#imports" target="_blank" title="Official documentation about module imports"><span
                                class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../modules/ManagementEntityModule.html">ManagementEntityModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/ParametersRoutingModule.html">ParametersRoutingModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/SharedModule.html">SharedModule</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../modules/TestingCardsLotModule.html">TestingCardsLotModule</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { NgModule } from &#x27;@angular/core&#x27;;
import { ParametersRoutingModule } from &quot;./parameters-routing.module&quot;;
import { ParametersComponent } from &#x27;./parameters.component&#x27;;
import { SharedModule } from &#x27;../../shared/shared.module&#x27;;
import { BaseCardComponent } from &#x27;./base/base-card.component&#x27;;
import { MilestoneCardComponent } from &#x27;./milestone/milestone-card.component&#x27;;
import { DomainInfluenceCardComponent } from &#x27;./domain-influence/domain-influence-card.component&#x27;;
import { RepositoryCardComponent } from &#x27;./repository/repository-card.component&#x27;;
import { DocumentCardComponent } from &#x27;./document/document-card.component&#x27;;
import { DomainInfluenceService } from &#x27;./domain-influence/services/domain-influence.service&#x27;;
import { RepositoryService } from &#x27;./repository/service/repository.service&#x27;;
import { DocumentService } from &#x27;./document/service/document.service&#x27;;
import { OperationParametersModel } from &#x27;./model/operation-parameters.model&#x27;;
import { ParametersNotificationComponent } from &#x27;./parameters-notification/parameters-notification.component&#x27;;
import { TestingCardsLotModule } from &#x27;../testing-cards-lot/testing-cards-lot.module&#x27;;
import { CovalentFileModule } from &#x27;@covalent/core&#x27;;
import { RepositoryEditComponent } from &#x27;./repository/repository-edit.component&#x27;;
import { DomainInfluenceEditComponent } from &#x27;./domain-influence/domain-influence-edit.component&#x27;;
import { DocumentEditComponent } from &#x27;./document/document-edit.component&#x27;;
import { DomainInfluenceGridComponent } from &#x27;./domain-influence/domain-influence-grid/domain-influence-grid.component&#x27;;
import { MilestoneEditComponent } from &#x27;./milestone/milestone-edit.component&#x27;;
import { ParametersEditComponent } from &#x27;./parameter-edit/parameters-edit.component&#x27;;
import { BaseEditComponent } from &#x27;./base/base-edit.component&#x27;;
import { ManagementEntityModule } from &#x27;./management-entity/management-entity.module&#x27;;
import { HighlightedQuestionListComponent } from &#x27;./document/highlighted-question/components/highlighted-question-list.component&#x27;;
import { HighlightedQuestionEditComponent } from &#x27;./document/highlighted-question/components/highlighted-question-edit.component&#x27;;
import { HighlightedQuestionService } from &#x27;./document/highlighted-question/services/highlighted-question.service&#x27;;
import { LocalizedHighlightedQuestionListComponent } from &#x27;./document/highlighted-question/components/localized-highlighted-question-list.component&#x27;;
import { BallotDocumentationService } from &#x27;./ballot-documentation/service/ballot-documentation.service&#x27;;
import { BallotDocumentationCardComponent } from &#x27;./ballot-documentation/ballot-documentation-card.component&#x27;;
import { BallotDocumentationEditComponent } from &#x27;./ballot-documentation/ballot-documentation-edit.component&#x27;;
import { ElectionPagePropertiesCardComponent } from &#x27;./election-page-properties/election-page-properties-card.component&#x27;;
import { ElectionPagePropertiesModelEditComponent } from &#x27;./election-page-properties/election-page-properties-model-edit.component&#x27;;
import { ElectionPagePropertiesModelListComponent } from &#x27;./election-page-properties/election-page-properties-model-list.component&#x27;;
import { ElectionPagePropertiesEditComponent } from &#x27;./election-page-properties/election-page-properties-edit.component&#x27;;
import { ElectionPagePropertiesMappingComponent } from &#x27;./election-page-properties/election-page-properties-mapping.component&#x27;;
import { ElectionPagePropertiesService } from &#x27;./election-page-properties/services/election-page-properties.service&#x27;;
import { ElectionPagePropertiesModelResolver } from &#x27;./election-page-properties/services/election-page-properties.resolver&#x27;;
import { VotationDetailsComponent } from &#x27;./repository/votation-details/votation-details.component&#x27;;
import { VerificationCodeEditComponent } from &#x27;./election-page-properties/verification-code-edit/verification-code-edit.component&#x27;;
import { ElectionDetailsComponent } from &#x27;./repository/election-details/election-details.component&#x27;;
import { ElectionDetailsTableComponent } from &#x27;./repository/election-details/election-details-table.component&#x27;;
import { ElectionDetailsElectoralListComponent } from &#x27;./repository/election-details/election-details-electoral-lists.component&#x27;;
import { ModelSelectorComponent } from &#x27;./election-page-properties/selector/model-selector.component&#x27;;
import { VotingSiteConfigurationComponent } from &#x27;./voting-site-configuration/edit/voting-site-configuration.component&#x27;;
import { VotingSiteConfigurationService } from &#x27;./voting-site-configuration/voting-site-configuration.service&#x27;;
import { VotingSiteConfigurationCardComponent } from &#x27;./voting-site-configuration/card/voting-site-configuration-card.component&#x27;;

@NgModule({
  imports: [
    SharedModule,
    ParametersRoutingModule,
    CovalentFileModule,
    TestingCardsLotModule,
    ManagementEntityModule,
  ],
  declarations: [
    ParametersComponent,
    ParametersNotificationComponent,
    BaseCardComponent,
    MilestoneCardComponent,
    DomainInfluenceCardComponent,
    RepositoryCardComponent,
    DocumentCardComponent,
    BallotDocumentationCardComponent,
    BallotDocumentationEditComponent,
    ParametersEditComponent,
    BaseEditComponent,
    MilestoneEditComponent,
    DomainInfluenceGridComponent,
    DomainInfluenceEditComponent,
    RepositoryEditComponent,
    DocumentEditComponent,
    HighlightedQuestionListComponent,
    HighlightedQuestionEditComponent,
    LocalizedHighlightedQuestionListComponent,
    ElectionPagePropertiesCardComponent,
    ElectionPagePropertiesModelEditComponent,
    ElectionPagePropertiesModelListComponent,
    ElectionPagePropertiesEditComponent,
    ElectionPagePropertiesMappingComponent,
    VotationDetailsComponent,
    ElectionDetailsComponent,
    ElectionDetailsTableComponent,
    ElectionDetailsElectoralListComponent,
    VerificationCodeEditComponent,
    ModelSelectorComponent,
    VotingSiteConfigurationComponent,
    VotingSiteConfigurationCardComponent
  ],
  providers: [
    DomainInfluenceService,
    RepositoryService,
    DocumentService,
    OperationParametersModel,
    HighlightedQuestionService,
    BallotDocumentationService,
    ElectionPagePropertiesService,
    VotingSiteConfigurationService,
    ElectionPagePropertiesModelResolver
  ],
  entryComponents: [
    ElectionDetailsElectoralListComponent,
    ModelSelectorComponent
  ]
})
export class ParametersModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'ParametersModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
